Bug 30562 - Aapt path has changed in the latest build tools release
Summary: Aapt path has changed in the latest build tools release
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: General (show other bugs)
Version: 5.1
Hardware: Macintosh Mac OS
: High critical
Target Milestone: ---
Assignee: Atsushi Eno
URL:
Depends on:
Blocks:
 
Reported: 2015-05-28 18:47 UTC by Peter Collins
Modified: 2015-06-03 10:18 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Peter Collins 2015-05-28 18:47:24 UTC
I'm filing this separately from Bug #30555 as I believe there are multiple issues at hand. This bug is strictly meant to cover the fact that the aapt path has changed.

Old location:
$(Android_Sdk)/build_tools/$(version)/aapt

New location:
$(Android_Sdk)/build_tools/$(version)/bin/aapt

This change in paths results in the following build error:
https://gist.github.com/pjcollins/b77454898f321009eee1

Environment:
OSX Yosemite
monodroid 5.1.2-1
Comment 1 Jonathan Pryor 2015-05-28 19:57:42 UTC
WORKAROUND: Set the $(AaptToolPath) MSBuild property to the new build location in your .csproj:

  <PropertyGroup>
    <AaptToolPath>Path\To\Android\Sdk\build_tools\VERSION\bin</AaptToolPath>
  </PropertyGroup>
Comment 2 Atsushi Eno 2015-05-29 06:16:52 UTC
I removed build-tools 22.0.1 and reinstalled to see if the files have changed, but it still has build-tools/22.0.1/aapt and no build-tools/22.0.1/bin/aapt . Which version is your build-tools?
Comment 3 Atsushi Eno 2015-05-29 06:23:43 UTC
Nevermind, turned out that I didn't have r23 installed. I see bin/aapt, bin/zipalign etc. there.
Comment 4 Peter Collins 2015-06-01 21:27:38 UTC
Should be fixed in master/c3ff871
Comment 5 Prashant manu 2015-06-03 10:18:46 UTC
We have checked with following steps and able to deploy app on XS/Mac, XS/Windows, and VS/Windows successfully.

Steps we followed:
1. Set up environment having the preview Android Build-tools are installed.
Screencast: http://www.screencast.com/t/5GgsbY72vR
2. Open or create a new Android project in the IDE.
3. Deploy the project to a device or emulator in both Debug and Release.

Environment Info: 
https://gist.github.com/pjcollins/20dacd280e47dfb04678

Hence closing this issue.